Skip to main content

Send a payment status report

POST 

/v1/Payaway/PaymentStatusReport

ISO-20022 pacs.002 message. Send a payment status report to a counterparty via a webhook. Used to notify the counterparty of a status update on a transaction they initiated. The status code provided drives specific actions within the RTGS.global system. For example:

  • RJCT: Cancels the pending transaction associated with the given UETR.

  • ACWP: Indicates successful vetting and signature verification meaning the participant accepts the onward payment request. This triggers transaction settlement. Upon settlement, both participants receive a camt.054 and pacs.002 messages confirming the movement of funds.

  • ACCC: Signals that the onward payment has been successfully committed and credited to the recipient — marking the final step in the onward payment flow.

Note: due to this request being a notification for another participant, the gateway has to be instructed separately about who to sign this request for. This is done via HTTP header 'rtgs-global-signed-for', that should be set to the RTGS.global Id of the counterparty participant.

Request

Responses

Accepted